Bug 2506 - rpcclient, static int pipe_idx
Summary: rpcclient, static int pipe_idx
Status: CLOSED FIXED
Alias: None
Product: Samba 3.0
Classification: Unclassified
Component: smbclient (show other bugs)
Version: 3.0.12
Hardware: SGI IRIX
: P3 normal
Target Milestone: none
Assignee: Samba Bugzilla Account
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-21 13:41 UTC by Jason Mader (mail bounces back)
Modified: 2005-08-24 10:24 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Mader (mail bounces back) 2005-03-21 13:41:38 UTC
Compiling rpcclient/rpcclient.c
cc-1552 cc: WARNING File = rpcclient/rpcclient.c, Line = 27
  The variable "pipe_idx" is set but never used.

  static int pipe_idx;
             ^
Comment 1 Jason Mader (mail bounces back) 2005-03-21 13:42:20 UTC
I see,
    pipe_idx = cmd_entry->pipe_idx;

but is this variable being used outside of rpcclient or is it really unused?
Comment 2 Jason Mader (mail bounces back) 2005-03-21 13:59:58 UTC
In my own tests after having removed the static variable and it's assignment,
rpcclient still works.
Comment 3 Gerald (Jerry) Carter 2005-03-22 07:21:11 UTC
fixed.  thanks.
Comment 4 Gerald (Jerry) Carter 2005-08-24 10:24:29 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.